Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/reading/getreadingarticle

# Article detail

GET `https://api.rewind.rest/v1/reading/articles/{id}`

Returns a single article with its embedded highlights.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Path Parameters

#### id (path, string, required)

## Response

#### 200

Article detail

#### id (number, required)

#### title (string, required)

#### author (string, required)

#### url (string, required)

#### instapaper\_url (string, required)

#### instapaper\_app\_url (string, required)

#### domain (string, required)

#### site\_name (string, required)

#### description (string, required)

#### word\_count (number, required)

#### estimated\_read\_min (number, required)

#### status (string, required)

#### progress (number, required)

#### starred (boolean, required)

#### rating (number, required)

#### tags (array of string, required)

#### source (string, required)

#### image (object)

#### saved\_at (string, required)

#### started\_at (string, required)

#### finished\_at (string, required)

#### excerpt (string, required)

#### content (string, required)

#### body\_unavailable (boolean)

#### highlights (array of object, required)

#### properties

#### id (number, required)

#### text (string, required)

#### note (string, required)

#### position (number, required)

#### chapter (string, required)

#### page (number, required)

#### created\_at (string, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### 404

Not found

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/reading/articles/{id}' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/reading/articles/{id}', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/reading/articles/{id}',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "id": 0,
  "title": "string",
  "author": "string",
  "url": "string",
  "instapaper_url": "string",
  "instapaper_app_url": "string",
  "domain": "string",
  "site_name": "string",
  "description": "string",
  "word_count": 0,
  "estimated_read_min": 0,
  "status": "string",
  "progress": 0,
  "starred": true,
  "rating": 0,
  "tags": [
    "string"
  ],
  "source": "string",
  "image": {},
  "saved_at": "string",
  "started_at": "string",
  "finished_at": "string",
  "excerpt": "string",
  "content": "string",
  "body_unavailable": true,
  "highlights": [
    {
      "id": 0,
      "text": "string",
      "note": "string",
      "position": 0,
      "chapter": "string",
      "page": 0,
      "created_at": "string"
    }
  ]
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```

```json 404
{
  "error": "Not found",
  "status": 404
}
```
